local chatcommand_cmd = "announcement_add"
local chatcommand_definition = {
    params = "<message>$<frequency in seconds>$<runtime in seconds>",
    description = "Sends the message each frequency seconds for a maximum number of runtime seconds.",
    privs = {[yl_announcements.settings.admin_privs] = true},
    func = function(name, param)
        local success, message = yl_announcements.chatcommand_announcement_add(
                                     name, param)

        if success then
            minetest.log("action", "[yl_announcements] player " .. name ..
                             " added new announcement: " .. param)
            return true, message
        else
            minetest.log("warning",
                         "[yl_announcements] player " .. name ..
                             " added new announcement: " .. param ..
                             " unsuccessfully, message: " .. message)
            return false, message
        end
    end
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
